@import "../../sass/partials/classes";
@import "../../sass/partials/variables";
@import "../../sass/partials/mixins";

.wx__product_media {
  background-color: $neutral__100;
  width: 100%;
  height: 181px;
  margin-top: 16px;
  padding: 24px;
  @extend .wx__rounded;
}

.file-area {
  width: 100%;
  height: 91px;
  position: relative;
  border: 1px dashed $neutral__600;
  @extend .wx__rounded;

  input[type="file"] {
    position: absolute;
    width: 100%;
    height: 100%;
    // top: 0;
    // left: 0;
    // right: 0;
    // bottom: 0;
    // display: none;
    // pointer-events: none;
    opacity: 0;
  }

  .file-dummy {
    width: 100%;
    text-align: center;
    transition: background 0.3s ease-in-out;

    .success {
      display: none;
    }
  }

  &:hover .file-dummy {
  }

  // input[type="file"]:focus + .file-dummy {
  //   outline: 2px solid rgba(255, 255, 255, 0.5);
  //   outline: -webkit-focus-ring-color auto 5px;
  // }

  // input[type="file"]:valid + .file-dummy {
  // border-color: rgba(0, 255, 0, 0.4);
  // background-color: rgba(0, 255, 0, 0.3);

  .success {
    display: inline-block;
  }
  .default {
    display: none;
    .img_icon {
      color: $neutral__800;
      margin-right: 7px;
      font-size: 3rem;
    }
    .upload_info {
      // @extend ._body__strong;
      P {
        margin: 0;
        label {
          color: $blue__500;
          cursor: pointer;
          // @extend ._body__strong;
        }
      }
      span {
        text-align: start;
        color: $neutral__700;
        // @extend .text__small_regular;
      }
    }
  }
  // }
  &.active {
    background-color: rgba($color: silver, $alpha: 0.2);
  }
}

.wx__image_files-container {
  display: grid;
  grid-template-columns: repeat(4, 148px);
  grid-auto-rows: 148px;
  grid-gap: 10px;
  width: 100%;
  font-size: 0;
  margin-top: 20px;

  .wx__image-container {
    display: inline-block;
    position: relative;
    width: 100%;
    height: 100%;
    margin-bottom: 10px;
    border: 1px solid $neutral__400;
    overflow: hidden;
    @extend .wx__rounded;

    &:first-child {
      grid-column: 1/3;
      grid-row: 1/3;
    }

    &:hover {
      .image_hover {
        opacity: 50%;
      }
    }

    .image_hover {
      opacity: 0;
      position: absolute;
      top: 0;
      background: $neutral__900;
      width: 100%;
      height: 100%;
    }

    .image_hover_icon {
      display: flex;
      justify-content: space-between;
      width: 100%;
      position: absolute;
      top: 1px;
      color: $neutral__300;
      span {
        cursor: pointer;
      }
    }
    .wx__image {
      object-fit: contain;
      width: 100%;
      height: 100%;
    }
  }
}

//////////////code pen

.form {
  width: 500px;
  margin: 5% auto;

  &__container {
    position: relative;
    width: 100%;
    height: 200px;
    border: 2px dashed silver;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    color: silver;
    margin-bottom: 5px;

    &.active {
      background-color: rgba($color: silver, $alpha: 0.2);
    }
  }

  &__file {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    cursor: pointer;
    opacity: 0;
  }
}
